FreeMat

- Main Page
- Related Pages

vtkImageToImageStencil

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageToImageStencil will convert a vtkImageData into an stencil that can be used with vtkImageStecil or other vtk classes that apply a stencil to an image.

To create an instance of class vtkImageToImageStencil, simply invoke its constructor as follows

      obj = vtkImageToImageStencil

# Methods

The class vtkImageToImageStencil has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageToImageStencil class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageToImageStencil = obj.NewInstance ()`
- `vtkImageToImageStencil = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkImageData input)` - Specify the image data to convert into a stencil.
- `vtkImageData = obj.GetInput ()` - Specify the image data to convert into a stencil.
- `obj.ThresholdByUpper (double thresh)` - The values greater than or equal to the value match.
- `obj.ThresholdByLower (double thresh)` - The values less than or equal to the value match.
- `obj.ThresholdBetween (double lower, double upper)` - The values in a range (inclusive) match
- `obj.SetUpperThreshold (double )` - Get the Upper and Lower thresholds.
- `double = obj.GetUpperThreshold ()` - Get the Upper and Lower thresholds.
- `obj.SetLowerThreshold (double )` - Get the Upper and Lower thresholds.
- `double = obj.GetLowerThreshold ()` - Get the Upper and Lower thresholds.